﻿using System;
using System.IO;

namespace Save01
{
    class FileIO
    {
        // パスとファイル名
        string filePath = @"H:\C#プロジェクト\SaveText.txt";

        public void SaveText01(string TextContents)
        {
            //　using文を使ってファイルをクローズするコード

            using (StreamWriter writer = new StreamWriter(filePath))
            {
                // ファイルに書き込む
                writer.WriteLine(TextContents);
            }
        }

        public void SaveText02(string TextContents)
        {
            // try-finallyを使ってファイルをクローズするコード

            StreamWriter writer = new StreamWriter(filePath);
            try
            {
                writer.WriteLine(TextContents);
            }
            finally
            {
                writer.Dispose();
            }
        }

        public string LoadText()
        {
            // ファイルの内容を読み込む
            return String.Join("\r\n", File.ReadAllLines(filePath));
        }
    }
}
